Bug 148749 - printing to samsung ML-1710 fails with certain postscript documents
printing to samsung ML-1710 fails with certain postscript documents
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-02-15 02:47 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-30 09:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a level 3 postscript document (294.09 KB, application/postscript)
2005-02-15 02:47 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2005-02-15 02:47:57 EST
Description of problem:

certain postscript files can generate PCL6 errors on my samsung ML-1710 printer.
the attached postscript file (also given in the URL) is an example that causes
failure every time.  it displays properly using ggv (or anything else that uses
gs's X11 driver) and prints fine via the hpijs driver to my HP DJ960 or
photosmart 7960 printers.  if i attempt to print that file to the samsung, it
prints out the following error message:

     POSITION : 0x6abadc (6994652)
     SYSTEM   : WSIM/gdi
     LINE     : 321
     VERSION  : QPDL 1.14 09-28-2002

this printer was configured under FC3 using system-config-printer which allowed
me to specify the model as ML-1710.  it works beautifully 99% of the time, but
every now and then a file comes along that doesn't work.  the samsung is
connected to a d-link DP-300U lpd print server along with the HP DJ960.  i filed
this bug under foomatic because it appears to me to be a problem with incorrect
PCL6 being generated, i.e. a driver issue. 

Version-Release number of selected component (if applicable):

How reproducible:
with the provided postscript file, every time.

Steps to Reproduce:
1. configure ML-1710 using system-config-printer
2. print provided postscript file to the ML-1710
Actual results:
i get the error message given above. 

Expected results:
i expected a correct printout of the page like i get with my other printers. 

Additional info:
Comment 1 Need Real Name 2005-02-15 02:47:57 EST
Created attachment 111076 [details]
a level 3 postscript document
Comment 2 Alex Cherepanov 2005-03-06 11:45:25 EST
First, the sample file is not Level 3 PostScript file. Number 3 in the
header indicates conformance to DSC v. 3.0 .

I can look into this issue providing Red Hat will support the project.
Comment 3 Tim Waugh 2005-03-30 11:01:26 EST
Please try this:

ip= # use the IP address of your Samsung printer
  -sOutputFile=gdi.out GDI_test.ps
cat gdi.out > /dev/tcp/$ip/9100

Does that work?
Comment 4 John Thacker 2006-04-30 09:44:02 EDT
No response from reporter to request for info for over a year.
Also, FC3 is now the responsibility of Fedora Legacy and this is
not a security bug.  Closing.

Note You need to log in before you can comment on or make changes to this bug.